server {
    listen 4200 ssl;
    server_name localhost;

    root /opt/opengnsys/oggui/browser;
    index index.html;

    location / {
        try_files $uri $uri/ /index.html;
    }

    # Manejo de archivos estáticos
    location ~* \.(js|css|png|jpg|jpeg|gif|ico|svg|woff|woff2|ttf|eot)$ {
        try_files $uri =404;
    }
    ssl_certificate /opt/opengnsys/oggui/etc/nginx/certs/oggui.uds-test.net.crt.pem;
    ssl_certificate_key /opt/opengnsys/oggui/etc/nginx/certs/oggui.uds-test.net.key.pem;
    # Configuración para evitar problemas con rutas de Angular
    error_page 404 /index.html;
}